﻿using CommunityToolkit.Maui.Layouts;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        UniformItemsLayout layout = new UniformItemsLayout();

        layout.HorizontalOptions = LayoutOptions.Center;
        layout.VerticalOptions   = LayoutOptions.Center;
        layout.Padding           = new Thickness(10);

        layout.Children.Add(new BoxView { Margin = 10, WidthRequest = 25, HeightRequest = 25, BackgroundColor = Colors.Blue   });
        layout.Children.Add(new BoxView { Margin = 10, WidthRequest = 25, HeightRequest = 25, BackgroundColor = Colors.Yellow });
        layout.Children.Add(new BoxView { Margin = 10, WidthRequest = 25, HeightRequest = 25, BackgroundColor = Colors.Red    });
        layout.Children.Add(new BoxView { Margin = 10, WidthRequest = 25, HeightRequest = 25, BackgroundColor = Colors.Black  });

        Content = layout;
    }

    #endregion
}